package com.gyee.alarm.feigns;


import com.gyee.alarm.model.vo.AlarmTag;
import feign.Headers;
import feign.RequestLine;

import java.util.ArrayList;
import java.util.List;

public interface IAlarmService {

    @RequestLine("GET /api/alarm/wtTags")
    List<AlarmTag> findTagsByWt();

    @RequestLine("GET /api/alarm/btTags")
    List<AlarmTag> findTagsByBt();



    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/saveWtTags")
    void saveWtTags(List<AlarmTag> tasks);
    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/saveBtTags")
    void saveBtTags(List<AlarmTag> tasks);
}
